## teem 1.10.0.dfsg1

=== CMakeLists.txt ===
#
# Teem: Tools to process and visualize scientific data and images              
# Copyright (C) 2008, 2007, 2006, 2005  Gordon Kindlmann
# Copyright (C) 2004, 2003, 2002, 2001, 2000, 1999, 1998  University of Utah
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public License
# (LGPL) as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
# The terms of redistributing and/or modifying this software also
# include exceptions to the LGPL that facilitate static linking.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this library; if not, write to Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
#

# This is the root Teem CMakeLists file
CMAKE_MINIMUM_REQUIRED(VERSION 2.4)

# As of CMake 2.6 Policies were introduced in order to provide a mechanism for
# adding backwards compatibility one feature at a time.

# Run cmake --help-policy CMP<num> to see documentation.
IF(COMMAND cmake_policy)
  # Library paths (/path/to/libmy.so not translated to -L/path/to -lmy)
  CMAKE_POLICY(SET CMP0003 NEW)
ENDIF(COMMAND cmake_policy)

PROJECT(Teem)

#-----------------------------------------------------------------------------
# Teem version number.  Must reflect the values in teem/src/air/air.h
SET(Teem_VERSION_MAJOR "1")
SET(Teem_VERSION_MINOR "10")
SET(Teem_VERSION_PATCH "0")

# Version string should not include patch level.  The major.minor is
# enough to distinguish available features of the toolkit.
SET(Teem_VERSION_STRING "${Teem_VERSION_MAJOR}.${Teem_VERSION_MINOR}.${Teem_VERSION_PATCH}")

SET(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/CMake")

# We need ansi c-flags, especially on HP
SET(CMAKE_C_FLAGS "${CMAKE_ANSI_CFLAGS} ${CMAKE_C_FLAGS}")
SET(CMAKE_REQUIRED_FLAGS ${CMAKE_ANSI_CFLAGS})

#-----------------------------------------------------------------------------
# Test for some required system information.
INCLUDE (CMakeBackwardCompatibilityC)

#-----------------------------------------------------------------------------
# Output directories.
SET (LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR}/bin CACHE INTERNAL "Single output directory for building all libraries.")
SET (EXECUTABLE_OUTPUT_PATH ${CMAKE_BINARY_DIR}/bin CACHE INTERNAL "Single output directory for building all executables.")
#output directory for installing all include files.")
MARK_AS_ADVANCED(LIBRARY_OUTPUT_PATH EXECUTABLE_OUTPUT_PATH)
SET(Teem_LIBRARY_PATH "${LIBRARY_OUTPUT_PATH}")
SET(Teem_EXECUTABLE_PATH "${EXECUTABLE_OUTPUT_PATH}")
SET(C_TEST_PATH ${EXECUTABLE_OUTPUT_PATH})


FILE(MAKE_DIRECTORY ${Teem_BINARY_DIR}/include)
FILE(MAKE_DIRECTORY ${Teem_BINARY_DIR}/include/teem)

#-----------------------------------------------------------------------------
# Find platform-specific differences in the handling of IEEE floating point 
# special values.

INCLUDE(${Teem_SOURCE_DIR}/CMake/TestQnanhibit.cmake)
TEST_QNANHIBIT(QNANHIBIT_VALUE ${Teem_SOURCE_DIR}/CMake)
IF(QNANHIBIT_VALUE)
  SET(QNANHIBIT 1 CACHE INTERNAL "The 22nd bit of 32-bit floating-point quiet NaN.")
ELSE(QNANHIBIT_VALUE)
  SET(QNANHIBIT 0 CACHE INTERNAL "The 22nd bit of 32-bit floating-point quiet NaN.")
ENDIF(QNANHIBIT_VALUE)


#-----------------------------------------------------------------------------
# Teem build configuration options.
OPTION(BUILD_SHARED_LIBS "Build Teem with shared libraries." OFF)
SET(Teem_BUILD_SHARED_LIBS ${BUILD_SHARED_LIBS})
IF(NOT Teem_BUILD_SHARED_LIBS)
  ADD_DEFINITIONS(-DTEEM_STATIC)
ENDIF(NOT Teem_BUILD_SHARED_LIBS)

OPTION(Teem_ZLIB "Build Teem with support for gzip compression." ON)
OPTION(Teem_PNG "Build Teem with support for PNG images." ON)
OPTION(Teem_VTK_MANGLE "Build Teem using the mangled libraries from VTK for ZLIB and PNG." OFF)
SET(Teem_VTK_ZLIB_MANGLE_IPATH "" CACHE PATH "Location of vtk_zlib_mangle.h")
OPTION(Teem_VTK_TOOLKITS_IPATH "Location of VTK Build directory for ZLIB and PNG includes." OFF)

# Can't build PNG without ZLIB, so force it on.
IF(Teem_PNG AND NOT Teem_ZLIB)
  SET(Teem_ZLIB ON)
ENDIF(Teem_PNG AND NOT Teem_ZLIB)

IF(Teem_VTK_MANGLE)
  ADD_DEFINITIONS(-DTEEM_VTK_MANGLE=1)
  INCLUDE_DIRECTORIES( ${Teem_VTK_TOOLKITS_IPATH} )
  INCLUDE_DIRECTORIES( ${Teem_VTK_ZLIB_MANGLE_IPATH} )
ENDIF(Teem_VTK_MANGLE)


SET(Teem_ZLIB_LIB "")
SET(Teem_PNG_LIB "")
IF(Teem_ZLIB)
  # Find ZLIB
  FIND_PACKAGE(ZLIB)
  IF(ZLIB_FOUND)
    ADD_DEFINITIONS(-DTEEM_ZLIB)
    SET(Teem_ZLIB_LIB ${ZLIB_LIBRARIES})
    SET(Teem_ZLIB_IPATH ${ZLIB_INCLUDE_DIR})
  ELSE(ZLIB_FOUND)
    # We need to set this as a cache variable, so that it will show up as
    # being turned off in the cache.
    MESSAGE(SEND_ERROR "Turning off Teem_ZLIB, because it wasn't found.")
    SET(Teem_ZLIB OFF CACHE BOOL "Build Teem with support for gzip compression." FORCE)
  ENDIF(ZLIB_FOUND)

  IF(Teem_PNG)
    FIND_PACKAGE(PNG)
    IF(PNG_FOUND)
      ADD_DEFINITIONS(-DTEEM_PNG ${PNG_DEFINITIONS})
      SET(Teem_PNG_LIB ${PNG_LIBRARIES})
      SET(Teem_PNG_IPATH ${PNG_INCLUDE_DIR})
    ELSE(PNG_FOUND)
      # We need to set this as a cache variable, so that it will show up as
      # being turned off in the cache.
      MESSAGE(SEND_ERROR "Turning off Teem_PNG, because it wasn't found.")
      SET(Teem_PNG OFF CACHE BOOL "Build Teem with support for PNG images." FORCE)
    ENDIF(PNG_FOUND)
  ENDIF(Teem_PNG)
ENDIF(Teem_ZLIB)

# Try and locate BZIP2 stuff
OPTION(Teem_BZIP2 "Build Teem with support for bzip compression." ON)
SET(Teem_BZIP2_LIB "")

IF(Teem_BZIP2)
  FIND_PACKAGE(BZ2)

  IF(BZ2_FOUND)
    ADD_DEFINITIONS(-DTEEM_BZIP2)
    SET(Teem_BZIP2_LIB ${BZ2_LIBRARIES})
    SET(Teem_BZIP2_IPATH ${BZ2_INCLUDE_DIR})
  ELSE(BZ2_FOUND)
    # We need to set this as a cache variable, so that it will show up as
    # being turned off in the cache.
    MESSAGE(SEND_ERROR "Turning off Teem_BZIP2, because it wasn't found.")
    SET(Teem_BZIP2 OFF CACHE BOOL "Build Teem with support for bzip compression." FORCE)
  ENDIF(BZ2_FOUND)
ENDIF(Teem_BZIP2)

# Look for threading libraries
OPTION(Teem_PTHREAD "Build Teem with pthread library support." ON)
IF(Teem_PTHREAD)
  INCLUDE(FindThreads)
  IF(CMAKE_USE_PTHREADS_INIT)
    ADD_DEFINITIONS(-DTEEM_PTHREAD)
  ELSE(CMAKE_USE_PTHREADS_INIT)
    # We need to set this as a cache variable, so that it will show up as
    # being turned off in the cache.
    MESSAGE(SEND_ERROR "Turning off Teem_PTHREAD, because it wasn't found.")
    SET(Teem_PTHREAD OFF CACHE BOOL "Build Teem with pthread library support." FORCE)
    SET(Teem_PTHREAD OFF)
  ENDIF(CMAKE_USE_PTHREADS_INIT)
ENDIF(Teem_PTHREAD)

# Look for "levmar" library <http://www.ics.forth.gr/~lourakis/levmar/>
OPTION(Teem_LEVMAR "Build Teem with levmar library support." OFF)
SET(Teem_LEVMAR_LIB "")
IF(Teem_LEVMAR)
  FIND_PACKAGE(LEVMAR)

  IF(LEVMAR_FOUND)
    ADD_DEFINITIONS(-DTEEM_LEVMAR)
    SET(Teem_LEVMAR_LIB ${LEVMAR_LIBRARIES})
    SET(Teem_LEVMAR_IPATH ${LEVMAR_INCLUDE_DIR})
  ELSE(LEVMAR_FOUND)
    # We need to set this as a cache variable, so that it will show up as
    # being turned off in the cache.
    MESSAGE(SEND_ERROR "Turning off Teem_LEVMAR, because it wasn't found.")
    SET(Teem_LEVMAR OFF CACHE BOOL "Build Teem with levmar library support." FORCE)
  ENDIF(LEVMAR_FOUND)
ENDIF(Teem_LEVMAR)

#-----------------------------------------------------------------------------

IF(${CMAKE_GENERATOR} MATCHES "Visual Studio")
  # For Visual Studio we don't care about warnings about deprecated sprintf and
  # the like.
  ADD_DEFINITIONS(-D_CRT_SECURE_NO_DEPRECATE -D_CRT_NONSTDC_NO_DEPRECATE)
ENDIF(${CMAKE_GENERATOR} MATCHES "Visual Studio")

#Include Teem Defines
# Set compiler flags for endian-ness.
IF(CMAKE_WORDS_BIGENDIAN)
  ADD_DEFINITIONS(-DTEEM_ENDIAN=4321)
ELSE(CMAKE_WORDS_BIGENDIAN)
  ADD_DEFINITIONS(-DTEEM_ENDIAN=1234)
ENDIF(CMAKE_WORDS_BIGENDIAN)

# Set compiler flags for 32 or 64 bit architecture (based on the size
# of a void pointer).
IF(CMAKE_SIZEOF_VOID_P MATCHES  8)
  ADD_DEFINITIONS(-DTEEM_32BIT=0)
ELSE(CMAKE_SIZEOF_VOID_P MATCHES 8)
  ADD_DEFINITIONS(-DTEEM_32BIT=1)
ENDIF(CMAKE_SIZEOF_VOID_P MATCHES 8)

#The QNANHIBIT variable is configured by the root level CMakeLists.txt
IF(QNANHIBIT)
  ADD_DEFINITIONS(-DTEEM_QNANHIBIT=1)
ELSE(QNANHIBIT)
  ADD_DEFINITIONS(-DTEEM_QNANHIBIT=0)
ENDIF(QNANHIBIT)

#DirectIO is the fast way to do multi-gigabyte I/O and currently only available
#for SGI platforms.  Use of DirectIO is enabled manually for now.
#OPTION(USE_DIRECTIO "Use DirectIO for Nrrd file IO.  Only valid on SGI systems." 0)
#MARK_AS_ADVANCED(USE_DIRECTIO)
#IF(USE_DIRECTIO)
#  ADD_DEFINITIONS(-DTEEM_DIO=1)
#ELSE(USE_DIRECTIO)
ADD_DEFINITIONS(-DTEEM_DIO=0)
#ENDIF(USE_DIRECTIO)

SET(BUILD_EXPERIMENTAL_LIBS OFF CACHE BOOL "Build Teem's experimental/unstable libraries")
SET(BUILD_EXPERIMENTAL_APPS OFF CACHE BOOL "Build Teem's non-essential command-line tools")

SET(Teem_LIBRARIES air hest biff nrrd ell unrrdu gage limn seek hoover echo ten dye mite)
IF(BUILD_EXPERIMENTAL_LIBS)
  SET(Teem_LIBRARIES ${Teem_LIBRARIES} bane moss coil alan pull)
ENDIF(BUILD_EXPERIMENTAL_LIBS)

SET(Teem_HEADER_FILES
  air/air.h
  hest/hest.h
  biff/biff.h
  nrrd/nrrd.h
  nrrd/nrrdDefines.h
  nrrd/nrrdMacros.h
  nrrd/nrrdEnums.h
  ell/ell.h
  ell/ellMacros.h
  unrrdu/unrrdu.h
  gage/gage.h
  limn/limn.h
  seek/seek.h
  hoover/hoover.h
  echo/echo.h
  ten/ten.h
  ten/tenMacros.h
  dye/dye.h
  mite/mite.h
  )
IF(BUILD_EXPERIMENTAL_LIBS)
  SET(Teem_HEADER_FILES ${Teem_HEADER_FILES}
    bane/bane.h
    moss/moss.h
    coil/coil.h
    alan/alan.h
    pull/pull.h
    )
ENDIF(BUILD_EXPERIMENTAL_LIBS)
SET(Teem_INSTALLED_HEADER_FILES)
FOREACH(header_file ${Teem_HEADER_FILES})
  # When debugging, uncomment this line
  #MESSAGE(STATUS "Copy header file: ${header_file}")
  GET_FILENAME_COMPONENT(file_no_path "${header_file}" NAME)
  CONFIGURE_FILE("${CMAKE_CURRENT_SOURCE_DIR}/src/${header_file}"
    "${CMAKE_CURRENT_BINARY_DIR}/include/teem/${file_no_path}" COPYONLY IMMEDIATE)
  SET(Teem_INSTALLED_HEADER_FILES
    ${Teem_INSTALLED_HEADER_FILES}
    "${CMAKE_CURRENT_BINARY_DIR}/include/teem/${file_no_path}")
ENDFOREACH(header_file)

#---
# Include directory 
INCLUDE_DIRECTORIES(
  "${Teem_BINARY_DIR}/include/"
  "${Teem_SOURCE_DIR}/include/"
  )


## Add external library path includes
IF(Teem_ZLIB)
  INCLUDE_DIRECTORIES(${Teem_ZLIB_IPATH})
  INCLUDE_DIRECTORIES(${Teem_ZLIB_DLLCONF_IPATH})
  IF(Teem_PNG)
    INCLUDE_DIRECTORIES(${Teem_PNG_IPATH})
    INCLUDE_DIRECTORIES(${Teem_PNG_DLLCONF_IPATH})
  ENDIF(Teem_PNG)
ENDIF(Teem_ZLIB)

IF(Teem_BZIP2)
  INCLUDE_DIRECTORIES(${Teem_BZIP2_IPATH})
ENDIF(Teem_BZIP2)

IF(Teem_LEVMAR)
  INCLUDE_DIRECTORIES(${Teem_LEVMAR_IPATH})
ENDIF(Teem_LEVMAR)

# All the source files
SET(Teem_SOURCES)

#-----------------------------------------------------------------------------
# Macro for adding the current set of source files to the master list
MACRO(ADD_Teem_LIBRARY dir)
  SET(srcs)
  FOREACH(src ${ARGN})
    SET(srcs ${srcs} "src/${dir}/${src}")
  ENDFOREACH(src ${ARGN})
  SET(Teem_SOURCES ${Teem_SOURCES} ${srcs})
  # This will group all the source files in the VS project by directory
  SOURCE_GROUP( ${dir} FILES ${srcs} )
ENDMACRO(ADD_Teem_LIBRARY name)


#-----------------------------------------------------------------------------
# Dispatch the build into the proper subdirectories.
FOREACH(dir ${Teem_LIBRARIES})
  INCLUDE(src/${dir}/sources.cmake)
ENDFOREACH(dir ${Teem_LIBRARIES})

#-----------------------------------------------------------------------------
# Build the Mega library
#
# This needs to occur after the parsing of the subdirectories.

=== src/bin/CMakeLists.txt ===
#
# Teem: Tools to process and visualize scientific data and images              
# Copyright (C) 2008, 2007, 2006, 2005  Gordon Kindlmann
# Copyright (C) 2004, 2003, 2002, 2001, 2000, 1999, 1998  University of Utah
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public License
# (LGPL) as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
# The terms of redistributing and/or modifying this software also
# include exceptions to the LGPL that facilitate static linking.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this library; if not, write to Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
#

MACRO(CREATE_EXEC name sources libraries)
  ADD_EXECUTABLE(${name} ${sources})
#   TARGET_LINK_LIBRARIES("${name}" ${libraries})
  TARGET_LINK_LIBRARIES(${name} teem)
  INSTALL(TARGETS ${name}
    RUNTIME DESTINATION bin
    )
  SET_TARGET_PROPERTIES(${name} PROPERTIES
    INSTALL_RPATH ${CMAKE_INSTALL_PREFIX}/lib
    )
ENDMACRO(CREATE_EXEC)

# These binaries should not be depending on BUILD_EXPERIMENTAL_LIBS
CREATE_EXEC(nrrdSanity nrrdSanity.c nrrd)
CREATE_EXEC(overrgb overrgb.c nrrd)
CREATE_EXEC(mrender mrender.c "hoover;gage;ten")
CREATE_EXEC(miter miter.c mite)
CREATE_EXEC(vprobe vprobe.c ten)
CREATE_EXEC(unu unu.c unrrdu) 
CREATE_EXEC(tend tend.c ten)

# NOTE: The BUILD_EXPERIMENTAL_LIBS-dependent inclusion of binaries has to be
# done with knowledge of how BUILD_EXPERIMENTAL_LIBS behaves in the top-level
# CMakeLists.txt file
IF(BUILD_EXPERIMENTAL_APPS)
  CREATE_EXEC(airSanity airSanity.c air)
  CREATE_EXEC(affine affine.c air)
  CREATE_EXEC(cubic cubic.c ell)
  CREATE_EXEC(undos undos.c hest)
  CREATE_EXEC(idx2pos idx2pos.c nrrd)
  CREATE_EXEC(pos2idx pos2idx.c nrrd)
  CREATE_EXEC(qbert qbert.c gage)
  CREATE_EXEC(emap emap.c limn)
  CREATE_EXEC(talkweb talkweb.c nrrd)
  CREATE_EXEC(pprobe pprobe.c ten)
  CREATE_EXEC(ninspect ninspect.c nrrd)
  CREATE_EXEC(ungantry ungantry.c gage)
  CREATE_EXEC(deconv deconv.c ten)
  IF(BUILD_EXPERIMENTAL_LIBS)
    CREATE_EXEC(ilk ilk.c "unrrdu;moss")
    CREATE_EXEC(gkms gkms.c bane)
    CREATE_EXEC(spots spots.c alan)
  ENDIF(BUILD_EXPERIMENTAL_LIBS)
ENDIF(BUILD_EXPERIMENTAL_APPS)

IF(BUILD_TESTING)
  ADD_TEST(nrrd.Sanity ${EXECUTABLE_OUTPUT_PATH}/nrrdSanity)
ENDIF(BUILD_TESTING)

## teem 1.11.0~svn5112

=== debian/changelog ===
teem (1.11.0~svn5112-1) experimental; urgency=low

  * new upstream snapshot
  * updating mail address
  * bump standards version

 -- Dominique Belhachemi <domibel@debian.org>  Tue, 20 Sep 2011 21:46:17 -0400

teem (1.11.0~svn5079-1) experimental; urgency=low

  * new upstream snapshot

 -- Dominique Belhachemi <domibel@debian.org>  Tue, 30 Aug 2011 23:33:19 -0400

teem (1.11.0~svn5054-1) experimental; urgency=low

  * new upstream snapshot
  * debian/control: Bump compat level, fix Vcs-Browser field

 -- Dominique Belhachemi <domibel@debian.org>  Wed, 10 Aug 2011 17:26:47 -0400

teem (1.11.0~svn4425-2) experimental; urgency=low

  * move documentation build process to different target

 -- Dominique Belhachemi <domibel@debian.org>  Sun, 08 May 2011 00:18:53 -0400

teem (1.11.0~svn4425-1) experimental; urgency=low

  * New upstream snapshot
  * Switch to dpkg-source 3.0 (quilt) format
  * Remove static libraries
  * Added debug package
  * Removed DM-Upload-Allowed: yes
  * Bump Standards-Version: 3.9.1
  * Changed package name  libteem1-dev -> libteem-dev
  * Bump ABI version, libteem1 -> libteem2

 -- Dominique Belhachemi <domibel@debian.org>  Sun, 06 Mar 2011 17:21:11 -0500

teem (1.10.0.dfsg1-2) unstable; urgency=low

  [ Mathieu Malaterre ]
  * Add DEB_BUILD_OPTIONS options

  [ Dominique Belhachemi ]
  * added README.source
  * patch added to fix a bug that caused segfaults
  * debian/control: changed package description

 -- Dominique Belhachemi <domibel@debian.org>  Thu, 18 Dec 2008 15:49:57 -0500

teem (1.10.0-1) unstable; urgency=low

  * Initial release  (Closes: #473044)

 -- Dominique Belhachemi <domibel@debian.org>  Tue, 16 Dec 2008 14:11:30 -0500

=== debian/control ===
Source: teem
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Uploaders: Dominique Belhachemi <domibel@debian.org>
Build-Depends: debhelper (>= 8), cmake, zlib1g-dev, libpng-dev,
 libbz2-dev, cdbs, quilt
Build-Depends-Indep: doxygen-latex
Standards-Version: 3.9.2
Vcs-Browser: http://svn.debian.org/wsvn/debian-science/packages/teem/trunk/
Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/teem/trunk/
Section: libs
Homepage: http://teem.sourceforge.net/


Package: libteem-dev
Section: libdevel
Provides: libteem1-dev
Replaces: libteem1-dev
Conflicts: libteem1-dev
Suggests: teem-doc
Architecture: any
Depends: libteem2 (= ${binary:Version}), ${misc:Depends}
Description: Tools to process and visualize scientific data and images - development
 Teem is a coordinated group of libraries for representing, processing, and
 visualizing scientific raster data. Teem includes command-line tools that
 permit the library functions to be quickly applied to files and streams,
 without having to write any code. The most important and useful libraries in
 Teem are:
 .
  * Nrrd (and the unu command-line tool on top of it) supports a range of
    operations for transforming N-dimensional raster data (resample, crop,
    slice, project, histogram, etc.), as  well as the NRRD file format for
    storing arrays and their meta-information.
  * Gage: fast convolution-based measurements at arbitrary point locations in
    volume datasets (scalar, vector, tensor, etc.)
  * Mite: a multi-threaded ray-casting volume render with transfer functions
    based on any quantity Gage can measure
  * Ten: for estimating, processing, and visualizing diffusion tensor fields,
    including fiber tractography methods.
 .
 This package provides the Teem header files required to compile C++ programs
 that use Teem to do 3D visualisation.


Package: teem-apps
Section: libdevel
Architecture: any
Depends: libteem2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Tools to process and visualize scientific data and images - command line tools
 Teem is a coordinated group of libraries for representing, processing, and
 visualizing scientific raster data. Teem includes command-line tools that
 permit the library functions to be quickly applied to files and streams,
 without having to write any code. The most important and useful libraries in
 Teem are:
 .
  * Nrrd (and the unu command-line tool on top of it) supports a range of
    operations for transforming N-dimensional raster data (resample, crop,
    slice, project, histogram, etc.), as  well as the NRRD file format for
    storing arrays and their meta-information.
  * Gage: fast convolution-based measurements at arbitrary point locations in
    volume datasets (scalar, vector, tensor, etc.)
  * Mite: a multi-threaded ray-casting volume render with transfer functions
    based on any quantity Gage can measure
  * Ten: for estimating, processing, and visualizing diffusion tensor fields,
    including fiber tractography methods.
 . 
 This package contains some simple command-line tools which provide fast and
 easy access to the functionality in the various libraries.


Package: libteem2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Tools to process and visualize scientific data and images - runtime
 Teem is a coordinated group of libraries for representing, processing, and
 visualizing scientific raster data. Teem includes command-line tools that
 permit the library functions to be quickly applied to files and streams,
 without having to write any code. The most important and useful libraries in
 Teem are:
 .
  * Nrrd (and the unu command-line tool on top of it) supports a range of
    operations for  transforming N-dimensional raster data (resample, crop,
    slice, project, histogram, etc.), as  well as the NRRD file format for
    storing arrays and their meta-information.
  * Gage: fast convolution-based measurements at arbitrary point locations in
    volume datasets (scalar, vector, tensor, etc.)
  * Mite: a multi-threaded ray-casting volume render with transfer functions
    based on any quantity Gage can measure
  * Ten: for estimating, processing, and visualizing diffusion tensor fields,
    including fiber tractography methods.
 .
 This package provides the runtime files required to run programs
 that use Teem to do 3D visualisation.


Package: libteem2-dbg
Architecture: any
Section: debug
Priority: extra
Depends:
    libteem2 (= ${binary:Version}),
    ${misc:Depends}
Description: debugging symbols for libteem2
 Teem is a coordinated group of libraries for representing, processing, and
 visualizing scientific raster data. Teem includes command-line tools that
 permit the library functions to be quickly applied to files and streams,
 without having to write any code. The most important and useful libraries in
 Teem are:
 .
  * Nrrd (and the unu command-line tool on top of it) supports a range of
    operations for  transforming N-dimensional raster data (resample, crop,
    slice, project, histogram, etc.), as  well as the NRRD file format for
    storing arrays and their meta-information.
  * Gage: fast convolution-based measurements at arbitrary point locations in
    volume datasets (scalar, vector, tensor, etc.)
  * Mite: a multi-threaded ray-casting volume render with transfer functions
    based on any quantity Gage can measure
  * Ten: for estimating, processing, and visualizing diffusion tensor fields,
    including fiber tractography methods.
 .
 This package contains the debugging symbols for libteem2.


Package: teem-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Tools to process and visualize scientific data and images - documentation
 Teem is a coordinated group of libraries for representing, processing, and
 visualizing scientific raster data. Teem includes command-line tools that
 permit the library functions to be quickly applied to files and streams,
 without having to write any code. The most important and useful libraries in
 Teem are:
 .
  * Nrrd (and the unu command-line tool on top of it) supports a range of
    operations for  transforming N-dimensional raster data (resample, crop,
    slice, project, histogram, etc.), as  well as the NRRD file format for
    storing arrays and their meta-information.
  * Gage: fast convolution-based measurements at arbitrary point locations in
    volume datasets (scalar, vector, tensor, etc.)
  * Mite: a multi-threaded ray-casting volume render with transfer functions
    based on any quantity Gage can measure
  * Ten: for estimating, processing, and visualizing diffusion tensor fields,
    including fiber tractography methods.
 .
 This package provides the documentation files.

=== debian/rules ===
#!/usr/bin/make -f

# Set this value to 0/1 to turn off/on verbose mode.
export DH_VERBOSE=0

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk

ABI_VERSION := 2

DEB_DH_STRIP_ARGS := --dbg-package=libteem${ABI_VERSION}-dbg

DEB_BUILD_PARALLEL := true

DEB_CMAKE_EXTRA_FLAGS = \
        -DCMAKE_INSTALL_PREFIX:PATH=/usr \
        -DCMAKE_BUILD_TYPE:STRING=Release \
        -DCMAKE_VERBOSE_MAKEFILE=$(DH_VERBOSE) \
        -DCMAKE_SKIP_RPATH:BOOL=ON \
        -DBUILD_EXPERIMENTAL_APPS:BOOL=ON \
        -DBUILD_EXPERIMENTAL_LIBS:BOOL=ON \
        -DBUILD_TESTING:BOOL=ON \
        -DTeem_USE_LIB_INSTALL_SUBDIR:BOOL=ON \
        -DBUILD_SHARED_LIBS:BOOL=ON \


build/libteem${ABI_VERSION}::
	cd $(DEB_BUILDDIR) && LD_LIBRARY_PATH=`pwd`/bin:$$LD_LIBRARY_PATH ctest -VV -D ExperimentalTest

install/libteem${ABI_VERSION}::
	dh_install -plibteem${ABI_VERSION}    debian/tmp/usr/lib/Teem-1.11.0/*so.*         usr/lib

install/libteem-dev::
	dh_install -plibteem-dev              debian/tmp/usr/lib/Teem-1.11.0/*.so          usr/lib
	dh_install -plibteem-dev              debian/tmp/usr/lib/Teem-1.11.0/*.cmake       usr/lib/Teem-1.11.0
	dh_install -plibteem-dev              debian/tmp/usr/include/teem/*                usr/include/teem

install/teem-doc::
	doxygen debian/Doxyfile
	# remove zero byte files
	find doc/ -depth -empty | xargs rm -rf
	dh_install -pteem-doc                 doc/*                                        usr/share/doc/teem-doc

install/teem-apps::
	dh_install -pteem-apps                debian/tmp/usr/bin/*                         usr/bin

get-orig-source:
	/bin/sh $(CURDIR)/debian/get-orig-source
